GOMOKU(6)

NAME
gomoku - game of 5 in a row

SYNOPSIS
gomoku [-bcdu] [-D debugfile] [inputfile]

DESCRIPTION
gomoku is a two player game where the object is to get 5 in a row horizontally, vertically or diagonally on a 19 by 19 grid. By convention, black always moves first. With no arguments, gomoku will display a playing board and prompt for moves from the user. The interface is visual and straightforward; you move to a spot using the hack(6) motion keys hjklyubn and select it with either ‘space’ or ‘return’. The game will beep if you select a location that is already occupied. To save the game, type ‘S’ and to quit, type ‘Q’. The optional file inputfile can be used to restore a saved game.

The options are:

-b  This option sets background mode. Input moves are read from standard input, the computer picks a move, and prints it to standard output. The first input line should be either “black” or “white” to specify whether gomoku has the first move or not respectively. This option was intended for game tournaments where a referee program handles the board display and pits one program against another.

-c  Computer versus computer. gomoku will play a game against itself. This is mostly used for testing.

-D debugfile
    Print the debug information to debugfile instead of to the standard output.

-d  Print debugging information. Repeating this option more than once yields more detailed information.

-u  User versus user. This is mostly used for testing.

AUTHORS
Ralph Campbell

BUGS
The program is far too slow and uses far too much memory for the quality of game it provides.

ACKNOWLEDGEMENTS
The board display routines were based on the goref program written by Peter Langston. The user interface was based on Eric S. Raymond's interface to bs(6).